{
    "name": "client",
    "version": "0.1.0",
    "private": true,
    "dependencies": {
        "@emotion/react": "^11.10.4",
        "@emotion/styled": "^11.10.4",
        "@mui/icons-material": "^5.10.3",
        "@mui/material": "^5.10.4",
        "@mui/x-date-pickers": "^5.0.1",
        "@reduxjs/toolkit": "^1.8.5",
        "@testing-library/jest-dom": "^5.16.5",
        "@testing-library/react": "^13.4.0",
        "@testing-library/user-event": "^14.4.3",
        "@types/jest": "^27.5.2",
        "@types/node": "^17.0.45",
        "@types/react": "^18.0.18",
        "@types/react-dom": "^18.0.6",
        "axios": "^0.27.2",
        "moment": "^2.29.4",
        "react": "^18.2.0",
        "react-dom": "^18.2.0",
        "react-redux": "^8.0.2",
        "react-router-dom": "^6.3.0",
        "socket.io-client": "^4.5.2",
        "typescript": "^4.8.2",
        "web-vitals": "^2.1.4"
    },
    "scripts": {
        "start": "vite",
        "dev": "vite",
        "build": "tsc && vite build",
        "preview": "vite preview"
    },
    "eslintConfig": {
        "extends": [
            "react-app",
            "react-app/jest"
        ]
    },
    "browserslist": {
        "production": [
            ">0.2%",
            "not dead",
            "not op_mini all"
        ],
        "development": [
            "last 1 chrome version",
            "last 1 firefox version",
            "last 1 safari version"
        ]
    },
    "devDependencies": {
        "@vitejs/plugin-react": "^2.1.0",
        "autoprefixer": "^10.4.11",
        "postcss": "^8.4.16",
        "tailwindcss": "^3.1.8",
        "vite": "^3.1.2"
    }
}
